<template>
  <ob-table
      :items="items"
      :columns="columns"
      :functional-panel="true"
  >
    <template slot="checker" slot-scope="{data}">
      <ob-checkbox
          v-model="data.item.status"
      />
    </template>
    <template slot="dropDown" slot-scope="{data}">
      <ob-inline-select
          v-model="data.item.uuid"
          :items="options"
      />
    </template>
  </ob-table>
</template>

<script>
  import ObTable from "common-components/src/obComponents/obTable";
  import ObCheckbox from "common-components/src/obComponents/obCheckbox";
  import ObInlineSelect from 'common-components/src/obComponents/obInlineSelect';

  export default {
    name: "RightTable",
    components: {
      ObTable,
      ObCheckbox,
      ObInlineSelect
    },
    data() {
      return {
        items: [
          {
            status: true,
            startAddress: 'Пермь',
            endAddress: 'Тверь',
            rating: 4.1,
            title: 'Обобщённую',
            uuid: '2'
          },
          {
            status: false,
            startAddress: 'Тула',
            endAddress: 'Мурманск',
            rating: 4.1,
            title: 'По клиенту',
            uuid: '1'
          },
          {
            status: false,
            startAddress: 'Калуга',
            endAddress: 'Петрозаводск',
            rating: 4.1,
            title: 'Обобщённую',
            uuid: '2'
          },
          {
            status: false,
            startAddress: 'Джубга',
            endAddress: 'Краснодар',
            rating: 4.1,
            title: 'Среднюю по истории',
            uuid: '3'
          },
          {
            status: true,
            startAddress: 'Тверь',
            endAddress: 'Москва',
            rating: 4.1,
            title: 'Экспертную',
            uuid: '4'
          }
        ],
        options: [
          {
            uuid: '1',
            title: 'По клиенту'
          },
          {
            uuid: '2',
            title: 'Обобщённую'
          },
          {
            uuid: '3',
            title: 'Среднюю по истории'
          },
          {
            uuid: '4',
            title: 'Экспертную'
          }
        ]
      }
    },
    computed: {
      columns() {
        return [
          {
            title: '',
            key: 'checker',
            slotName: 'checker'
          },
          {
            title: 'Откуда',
            key: 'startAddress'
          },
          {
            title: 'Куда',
            key: 'endAddress'
          },
          {
            title: 'средняя по истории, %',
            key: 'rating'
          },
          {
            title: 'Использовать наценку',
            key: 'markup',
            slotName: 'dropDown'
          }
        ]
      }
    }
  }
</script>
